package put.user

import put.commons.mutableMap


class UserRepository {
    private val usersByUserName: MutableMap<String, User> = mutableMap()

    fun add(user: User) {
        usersByUserName.put(user.name, user)
    }

    fun addAll(vararg users: User) {
        val iterator = users.iterator()
        while (iterator.hasNext()) {
            add(iterator.next())
        }
    }

    operator fun get(userName: String): User? {
        return usersByUserName[userName]
    }


}